org.deidentifier.arx.gui.view.impl.common

## Class ComponentRiskThresholds

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentRiskThresholds

    public class ComponentRiskThresholds
    extends java.lang.Object

A component for configuring risk thresholds

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentRiskThresholds(org.eclipse.swt.widgets.Composite parent)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListenerThresholdHighestRisk(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener
`void` `addSelectionListenerThresholdRecordsAtRisk(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener
`void` `addSelectionListenerThresholdSuccessRate(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener
`double` `getThresholdHighestRisk()` Gets a threshold
`double` `getThresholdRecordsAtRisk()` Gets a threshold
`double` `getThresholdSuccessRate()` Gets a threshold
`void` `setLayoutData(java.lang.Object data)` Sets layout data
`void` `setThresholdHighestRisk(double arg0)` Sets a threshold
`void` `setThresholdRecordsAtRisk(double arg0)` Sets a threshold
`void` `setThresholdSuccessRate(double arg0)` Sets a threshold

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentRiskThresholds

    public ComponentRiskThresholds(org.eclipse.swt.widgets.Composite parent)

Creates a new instance

Parameters:
  `parent` -

### Method Detail

#### addSelectionListenerThresholdHighestRisk

    public void addSelectionListenerThresholdHighestRisk(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener

Parameters:
  `listener` -

#### addSelectionListenerThresholdRecordsAtRisk

    public void addSelectionListenerThresholdRecordsAtRisk(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener

Parameters:
  `listener` -

#### addSelectionListenerThresholdSuccessRate

    public void addSelectionListenerThresholdSuccessRate(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener

Parameters:
  `listener` -

#### getThresholdHighestRisk

    public double getThresholdHighestRisk()

Gets a threshold

Returns:

#### getThresholdRecordsAtRisk

    public double getThresholdRecordsAtRisk()

Gets a threshold

Returns:

#### getThresholdSuccessRate

    public double getThresholdSuccessRate()

Gets a threshold

Returns:

#### setLayoutData

    public void setLayoutData(java.lang.Object data)

Sets layout data

Parameters:
  `data` -

#### setThresholdHighestRisk

    public void setThresholdHighestRisk(double arg0)

Sets a threshold

Parameters:
  `arg0` -

#### setThresholdRecordsAtRisk

    public void setThresholdRecordsAtRisk(double arg0)

Sets a threshold

Parameters:
  `arg0` -

#### setThresholdSuccessRate

    public void setThresholdSuccessRate(double arg0)

Sets a threshold

Parameters:
  `arg0` -